#pragma once

#include "ActionContext.h"
#include "InitialRequest.h"
#include <exception>

class BatchEntry
{
 private:
	ActionContextPtr actionContext;
	InitialRequestPtr initialRequest;
	bool fulfilled;

public:
	void setFulfilled(bool fulfilled);
	bool isFulfilled();
	ActionContextPtr getActionContext();
	InitialRequestPtr getInitialRequest();

	AgString toString();

	BatchEntry(ActionContextPtr actionContext, InitialRequestPtr initialRequest);
};
